Submit a case¶
After it uploads the VCFs, a client submits the case to say it has sent all the data for the case, as in step 3 of the happy path scenario. The client cannot change the case after it submits it.
Submit the case¶
The request has no body. The client should send a new UUID in the Idempotency-Key header, and the same key if it retries the request.
IDEMPOTENCY_KEY=$(uuidgen)
curl -X POST https://sandbox.biosgenomics.com/api/v1/cases/$CASE_ID/submit \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Idempotency-Key: \"$IDEMPOTENCY_KEY\""
Response¶
The BIOS API returns 200 with the case. The case's status is submitted, and the vcfs requirement's status is uploaded. Once BIOS accepts the VCFs, it will set the requirement's status to accepted and the case's to ready_for_processing.
{
"case_id": "case_01kfb7q2r3s4t5v6w7x8y9z0ab",
"organization_id": "org_01kf9c8d7e6f5g4h3j2k1m0npq",
"order_id": "ord_01kfa2b3c4d5e6f7g8h9j0kmnp",
"proband_id": "ind_01kfb7q2r3s4t5v6w7x8y9z0ac",
"specimen_id": "spec_01kfb7q2r3s4t5v6w7x8y9z0ad",
"customer_id": "cust_01kf9d2e3f4g5h6j7k8m9n0pqr",
"status": "submitted",
"tags": {},
"created_at": "2026-11-17T19:52:03.481920Z",
"updated_at": "2026-11-17T20:05:12.774031Z",
"requirements": [
{
"case_requirement_id": "req_01kfb7q2r3s4t5v6w7x8y9z0ae",
"case_id": "case_01kfb7q2r3s4t5v6w7x8y9z0ab",
"requirement_key": "variant_files_collection_id",
"kind": "structured",
"required": true,
"status": "accepted",
"value": "TEST-VFC-0001",
"tags": {},
"validation_message": null,
"updated_at": "2026-11-17T19:52:03.481920Z"
},
{
"case_requirement_id": "req_01kfb7q2r3s4t5v6w7x8y9z0af",
"case_id": "case_01kfb7q2r3s4t5v6w7x8y9z0ab",
"requirement_key": "vcfs",
"kind": "file",
"required": true,
"status": "uploaded",
"value": null,
"tags": {},
"validation_message": null,
"updated_at": "2026-11-17T19:59:27.316582Z"
}
]
}